# ej2-treegrid

The [Vue TreeGrid](https://www.syncfusion.com/vue-ui-components/vue-tree-grid?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm) component is a feature-rich control used to visualize self-referential or hierarchy data effectively in a tabular format. It will pull data from a data source, such as array of JSON objects, `OData web services`, or [`DataManager`](https://ej2.syncfusion.com/vue/documentation/data/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm) binding data fields to columns. It also includes interactions like expanding and collapsing the parent records.

![TreeGrid](https://ej2.syncfusion.com/products/images/tree-grid/readme.png)

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's EULA https://www.syncfusion.com/eula/es. To acquire a license, you can purchase one at https://www.syncfusion.com/sales/products or start a free 30-day trial here https://www.syncfusion.com/account/manage-trials/start-trials.
> A free community license <https://www.syncfusion.com/products/communitylicense> is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

## Setup

To install TreeGrid and its dependent packages, use the following command.

```sh
npm install @syncfusion/ej2-vue-treegrid
```

## Resources

* [Product Page](https://www.syncfusion.com/vue-ui-components/vue-tree-grid?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm)
* [Getting Started](https://ej2.syncfusion.com/react/documentation/treegrid/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm)
* [View Online Demos](https://ej2.syncfusion.com/react/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/treegrid/treegrid-overview)

## Supported Frameworks

TreeGrid component is also offered in following list of frameworks.

1. [Angular](https://www.syncfusion.com/angular-ui-components/treegrid?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm)
2. [React](https://www.syncfusion.com/react-ui-components/react-tree-grid?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm)
3. [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls/tree-grid?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm)
4. [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls/tree-grid?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm)
5. [JavaScript (ES5)](https://www.syncfusion.com/javascript-ui-controls/js-tree-grid?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm)

## Key Features

* [**Data sources**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/localdata.html) - Bind the TreeGrid component with an array of JSON objects or DataManager.
* [**Sorting**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/sorting.html) - Supports n levels of sorting.
* [**Filtering**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/filtering.html) - Offers filter UI such as filter bar and menu at each column to filter data.
* [**Paging**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/paging.html) - Provides the option to easily switch between pages using the pager bar.
* [**Editing**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/inline-editing.html) - provides the options for create, read, update, and delete operations.
* **Columns** - The column definitions are used as the dataSource schema in the TreeGrid. This plays a vital role in rendering column values in the required format.
* [**Reordering**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/reorder.html) - Allows you to drag any column and drop it at any position in the TreeGrid’s column header row, allowing columns to be repositioned.
* [**Resizing**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/resizing.html) - Resizing allows changing column width on the fly by simply dragging the right corner of the column header.
* [**Cell Styling**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/conditionalformatting.html) - TreeGrid cell styles can be customized either by using CSS or programmatically.
* [**Selection**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/selection.html) - Rows or cells can be selected in the TreeGrid. One or more rows or cells can also be selected by holding Ctrl or Command, or programmatically.
* [**Templates**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/columntemplate.html) - Templates can be used to create custom user experiences in the TreeGrid.
* [**Aggregation**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/aggregate.html) - Provides the option to easily visualized the Aggregates for column values.
* [**Context menu**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/contextmenu.html) -The context menu provides a list of actions to be performed in the TreeGrid. It appears when a cell, header, or the pager is right-clicked.
* [**Export**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm#/material/tree-grid/export.html) - Provides the options to Export the TreeGrid data to Excel, PDF, and CSV formats.
* **RTL support** - Provides a full-fledged right-to-left mode which aligns content in the TreeGrid control from right to left.
* **Localization** - Provides inherent support to localize the UI.

## Support

Product support is available through following mediums.

* Creating incident in Syncfusion [Direct-trac](https://www.syncfusion.com/support/directtrac/incidents?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm) support system or [Community forum](https://www.syncfusion.com/forums/essential-js2?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm).
* New [GitHub issue](https://github.com/syncfusion/ej2-javascript-ui-controls/issues/new?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm).
* Ask your query in Stack Overflow with tag `syncfusion`, `ej2`.

## License

Check the license detail [here](https://github.com/syncfusion/ej2-javascript-ui-controls/blob/master/license?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm).

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-javascript-ui-controls/blob/master/controls/treegrid/CHANGELOG.md?utm_source=npm&utm_medium=listing&utm_campaign=vue-treegrid-npm)

&copy; Copyright 2019 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.